/*****************************/
/* Inside The Machine - MKS  */
/*****************************/

//Water entity File
#ifndef _EWATER_H
#define _EWATER_H

//Includes
#include "Entity.h"
#include "../µsprite.h"

//Defines
/*#define WATER_TEX_WATER    0
#define WATER_TEX_ACID     1
#define WATER_TEX_ACID2    2
#define WATER_TEX_BLOOD    3*/
#define MAX_DEF            16

//Paramètres du plan d'eau
// TYPE : 
// p1 et p2 : w h
// Autres : definition teinte teinte2 mouvement_h_max speed dangerous

class eWater : public CEntity
{
   public:
   	eWater();
   	virtual ~eWater();
   	virtual void Draw(int layer);
	   virtual void Update();
	   virtual void Destroy();
	   virtual void Load();
	   virtual void CheckInteractions();
	   
	public:
	   //int texture;
	   int def, tint, tint2, movh, speed, dangerous;   //Definition teinte mouvement_h_max dangerous
	   int largeur;                      //Largeur de l'eau
	   int pointsy[MAX_DEF];             //Coord. y relatives de l'eau
	   bool psens[MAX_DEF];              //Sens de déplacement de la surface
	   bool pboot[MAX_DEF];              //Phase de démarrage de l'eau
		int bootNumber;                   //Numéro du point à démarrer
		int depthMiddleWater;             //Z entre les deux coupes d'eau
};
#endif
